varying vec2 texcoord;
uniform float blendfactor;
uniform sampler2D tex0;

void main(void)
{
	vec4 texel = texture2D(tex0, texcoord);	
	gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0) - texel * blendfactor; 
}